%define upstream_version 20240407

Name:		mobile-broadband-provider-info
Summary:	Mobile broadband providers database
Group:		System/Configuration
Epoch:		1
Version:	1.%{?snapshot:%{snapshot}git}%{!?snapshot:%upstream_version}
Release:        %mkrel 1
License:	Public Domain
URL:		https://wiki.gnome.org/NetworkManager/MobileBroadband/ServiceProviders
Source0:	https://download.gnome.org/sources/%{name}/%{upstream_version}/%{name}-%{upstream_version}.tar.xz
BuildArch:	noarch
BuildRequires:	meson
BuildRequires:	libxml2-utils
BuildRequires:	xsltproc

%description
The mobile-broadband-provider-info package contains listings of mobile
broadband (3G) providers and associated network and plan information.

%package devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
The %{name}-devel package contains files necessary for
developing developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{upstream_version}

%build
%meson
%meson_build

%install
%meson_install

%files
%{_datadir}/%{name}/

%files devel
%{_datadir}/pkgconfig/%{name}.pc


%changelog
* Sat Jun 22 2024 daviddavid <daviddavid> 1:1.20240407-1.mga10
+ Revision: 2076108
- new version: 20240407

* Sun Oct 29 2023 daviddavid <daviddavid> 1:1.20230416-1.mga10
+ Revision: 2002613
- new version: 20230416

* Sun Jan 08 2023 daviddavid <daviddavid> 1:1.20221107-1.mga9
+ Revision: 1931592
- new version: 20221107

* Mon Mar 21 2022 umeabot <umeabot> 1:1.20201225-2.mga9
+ Revision: 1813817
- Mageia 9 Mass Rebuild

* Sat Jan 02 2021 luigiwalser <luigiwalser> 1:1.20201225-1.mga8
+ Revision: 1668067
- 20201225

* Sat Feb 15 2020 umeabot <umeabot> 1:1.20190618-2.mga8
+ Revision: 1526858
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jul 04 2019 daviddavid <daviddavid> 1:1.20190618-1.mga8
+ Revision: 1418336
- new version: 20190618

* Wed Mar 06 2019 daviddavid <daviddavid> 1:1.20190116-1.mga7
+ Revision: 1371892
- new version: 20190116

* Thu Sep 20 2018 umeabot <umeabot> 1:1.20170310-2.mga7
+ Revision: 1279941
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 kekepower <kekepower> 1:1.20170310-1.mga7
+ Revision: 1217594
- Update to version 20170310

* Sun Feb 19 2017 wally <wally> 1:1.20170208git-1.mga6
+ Revision: 1086884
- update to latest git snapshot

* Fri Jan 08 2016 daviddavid <daviddavid> 1:1.20150421git-2.mga6
+ Revision: 920575
- fix requires adding missing epoch

* Sat Dec 26 2015 tv <tv> 1:1.20150421git-1.mga6
+ Revision: 914919
- fix group
- set epoch
- new release
- split devel file

* Wed Oct 15 2014 umeabot <umeabot> 20120614-1.git20131015.5.mga5
+ Revision: 742113
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20120614-1.git20131015.4.mga5
+ Revision: 682552
- Mageia 5 Mass Rebuild

* Sat Nov 09 2013 ovitters <ovitters> 20120614-1.git20131015.3.mga4
+ Revision: 550190
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 20120614-1.git20131015.2.mga4
+ Revision: 544999
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 20120614-1.git20131015.1.mga4
+ Revision: 500590
- new git snapshot (20131015)

* Tue Sep 10 2013 dams <dams> 20120614-1.git20130910.1.mga4
+ Revision: 477240
- new version git snapshot (20130910)
- new version git snapshot (20130426)

* Mon Apr 08 2013 dams <dams> 20120614-1.git20130408.1.mga3
+ Revision: 409082
- new git snapshot: 20130408

* Wed Jan 23 2013 fwang <fwang> 20120614-1.git20121022.3.mga3
+ Revision: 391488
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 20120614-1.git20121022.2.mga3
+ Revision: 360176
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 22 2012 dams <dams> 20120614-1.git20121022.1.mga3
+ Revision: 309233
- new git snapshot: 20121022

* Fri Aug 10 2012 wally <wally> 20120614-1.git20120713.1.mga3
+ Revision: 280356
- use latest git snapshot

* Thu Jun 14 2012 ovitters <ovitters> 20120614-0.git20120614.1.mga3
+ Revision: 260583
- new version 20120614

* Fri Jun 01 2012 dams <dams> 20120601-0.git20120601.1.mga3
+ Revision: 252734
+ rebuild (emptylog)

* Fri Jun 01 2012 dams <dams> 20110511-2.git20120601.1.mga3
+ Revision: 252717
- new git snapshot

* Tue Feb 14 2012 ovitters <ovitters> 20110511-2.git20120114.2.mga2
+ Revision: 208866
- clean spec

* Sat Jan 14 2012 wally <wally> 20110511-2.git20120114.1.mga2
+ Revision: 196012
- new git snapshot

* Wed Dec 07 2011 wally <wally> 20110511-2.git20111207.1.mga2
+ Revision: 178503
- new git snapshot
- new version 20110511
- use sources from gnome ftp
- clean .spec a bit

* Mon Feb 28 2011 eandry <eandry> 0.0-0.git20100510.1.mga1
+ Revision: 61856
- clean spec
- imported package mobile-broadband-provider-info


* Sun Jul 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.0-0.git20100510.1mdv2011.0
+ Revision: 554831
- update to current public release

* Mon Jan 25 2010 Frederik Himpe <fhimpe@mandriva.org> 0.0-0.git20100125.1mdv2010.1
+ Revision: 496348
- Update to new git snapshot

* Fri Nov 06 2009 Caio Begotti <caio1982@mandriva.org> 0.0-0.git20091103.1mdv2010.1
+ Revision: 461929
- some upstream updates which seemed to worth a bump

* Wed Oct 28 2009 Olivier Blin <oblin@mandriva.com> 0.0-0.git20091024.1mdv2010.0
+ Revision: 459756
- buildrequires libxml2-utils (instead of libxml2) for xmllint
- build as noarch
- initial release (from Caio Begotti)
- Created package structure for mobile-broadband-provider-info.

